Bug 1288740 - glibc: tst-makecontext fails on armhfp
glibc: tst-makecontext fails on armhfp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Weimer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 13:46 EST by Florian Weimer
Modified: 2016-05-11 07:40 EDT (History)
8 users (show)

See Also:
Fixed In Version: glibc-2.22-15.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 14:58:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 19529 None None None 2016-05-07 10:50 EDT

  None (edit)
Description Florian Weimer 2015-12-05 13:46:09 EST
This what I have in the build logs, from glibc-2.22.90-23.fc24:

+ cat stdlib/tst-makecontext.out
Didn't expect signal from child: got `Aborted'

This is a regression in rawhide, but I don't think I have access to a suitable armhfp system to debug this.  There are various upstream bug reports about a lack of a CFI marker in makecontext.S on other architectures, but I don't think there is an assembly implementation for ARM, so their fixes doesn't apply here.
Comment 1 Jan Kurik 2016-02-24 09:05:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-05-07 13:20:09 EDT
glibc-2.22-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35
Comment 3 Fedora Update System 2016-05-08 12:25:47 EDT
glibc-2.22-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35
Comment 4 Florian Weimer 2016-05-09 05:43:21 EDT
Already fixed upstream prior to the 2.23 release:

commit e535ce250143b9c1600b306911710c0de73e2a5e
Author: Szabolcs Nagy <szabolcs.nagy@arm.com>
Date:   Thu Feb 11 17:17:38 2016 +0000

    [ARM] add missing -funwind-tables to test case (bug 19529)
Comment 5 Fedora Update System 2016-05-10 13:57:53 EDT
glibc-2.22-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.